using Jypeli;

namespace LumiukkoAli;
public class LumiukkoAli : PhysicsGame
{
    public override void Begin()
    {
        Camera.ZoomToLevel();
        Level.Background.Color = Color.Black;
        PiirraLumiukko(this, 0.5, Level.Bottom + 200);
        PiirraLumiukko(this, 200, 0);
        PiirraLumiukko(this, 310, -20);
        PiirraLumiukko(this, -200, 200);
    }

    public static void PiirraLumiukko(Game peli, double x, double y)
    {
        PhysicsObject p1 = PiirraPallo(peli, x, y, 100);
        PhysicsObject p2 = PiirraPallo(peli, x, p1.Y + 100 + 50, 50);
        PiirraPallo(peli, x, p2.Y + 50 + 30, 30);
    }


    /// <summary>
    ///  Piirtään pallon paikka x,y säteenä r
    /// </summary>
    /// <param name="peli">mihin peliin pallo piirretään</param>
    /// <param name="x">mihin x-kohtaan</param>
    /// <param name="y">mihin y-kohtaan</param>
    /// <param name="r">pallon säde</param>
    /// <returns></returns>
    public static PhysicsObject PiirraPallo(Game peli, double x, double y, double r)
    {
        PhysicsObject p = new PhysicsObject(2 * 100.0, 2 * 100.0, Shape.Circle);
        p.X = x;
        p.Y = y;
        peli.Add(p);
        return p;
    }
}